UbixOS V2 2.0

Public Member Functions
dns_hdr Struct Reference

`#include <dns.h>`

Collaboration diagram for dns_hdr:

## Public Member Functions
| PACK_STRUCT_FIELD (u16_t id)
| PACK_STRUCT_FIELD (u16_t numanswers)
| PACK_STRUCT_FIELD (u16_t numauthrr)
| PACK_STRUCT_FIELD (u16_t numextrarr)
| PACK_STRUCT_FIELD (u16_t numquestions)
| PACK_STRUCT_FLD_8 (u8_t flags1)
| PACK_STRUCT_FLD_8 (u8_t flags2)

## Detailed Description

DNS message header

Definition at line 103 of file dns.h.

## Member Function Documentation

## ◆ PACK_STRUCT_FIELD() [1/5]

dns_hdr::PACK_STRUCT_FIELD | ( | u16_t | id | ) |

## ◆ PACK_STRUCT_FIELD() [2/5]

dns_hdr::PACK_STRUCT_FIELD | ( | u16_t | numanswers | ) |

## ◆ PACK_STRUCT_FIELD() [3/5]

dns_hdr::PACK_STRUCT_FIELD | ( | u16_t | numauthrr | ) |

## ◆ PACK_STRUCT_FIELD() [4/5]

dns_hdr::PACK_STRUCT_FIELD | ( | u16_t | numextrarr | ) |

## ◆ PACK_STRUCT_FIELD() [5/5]

dns_hdr::PACK_STRUCT_FIELD | ( | u16_t | numquestions | ) |

## ◆ PACK_STRUCT_FLD_8() [1/2]

dns_hdr::PACK_STRUCT_FLD_8 | ( | u8_t | flags1 | ) |

## ◆ PACK_STRUCT_FLD_8() [2/2]

dns_hdr::PACK_STRUCT_FLD_8 | ( | u8_t | flags2 | ) |

The documentation for this struct was generated from the following file:

- C:/Dev/git/UbixOS/sys/include/net/prot/dns.h